﻿#region Copyright
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;

namespace Syncfusion.Mvc.DocIO.Web
{
    public class DocResult : ActionResult
    {
        private string m_filename;
        private IWordDocument m_document;
        private FormatType m_formatType;
        private HttpResponse m_response;
        private HttpContentDisposition m_contentDisposition;

        public string FileName
        {
            get
            {
                return m_filename;
            }
            set
            {
                m_filename = value;
            }
        }
        public IWordDocument Document
        {
            get
            {
                if (m_document != null)
                    return m_document;
                return null;
            }
        }
        public FormatType formatType
        {
            get
            {
                return m_formatType;
            }
            set
            {
                m_formatType = value;
            }
        }
        public HttpContentDisposition ContentDisposition
        {
            get
            {
                return m_contentDisposition;
            }
            set
            {
                m_contentDisposition = value;
            }
        }
        public HttpResponse Response
        {
            get
            {
                return m_response;
            }
        }

        public DocResult(IWordDocument document, string filename, FormatType formattype, HttpResponse response, HttpContentDisposition contentDisposition)
        {
            FileName = filename;
            m_document = document;
            this.formatType = formattype;
            m_response = response;
            this.ContentDisposition = contentDisposition;
        }
        public override void ExecuteResult(ControllerContext context)
        {
            if (context == null)
                throw new ArgumentNullException("Context");
            this.Document.Save(FileName, formatType, Response, ContentDisposition);
        }
    }
}
