﻿using System.Web.Mvc;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.Mvc.DocIO.Web;
using System.IO;
using System.Drawing;
using System.Drawing.Imaging;
using Syncfusion.OfficeChart;
using System.Data;
using System.Collections.Generic;

namespace DocIOApplication.Controllers
{
    public class HomeController : Controller
    {
        WordDocument document;
        DataSet ds = new DataSet();        

        public ActionResult Index(string button1, string message)
        {           

            if (button1 == null)
                return View();
            ViewBag.Message = string.Format("");
            // Load the template.
            document = new WordDocument(Server.MapPath(@"App_Data\Template.doc"));
            
            // Get the tables from Data Set.
            GetDataTable();
          
            // Execute Mail Merge with groups.
            document.MailMerge.ExecuteGroup(ds.Tables["Products"]);

            //Remove the last empty page.
            document.LastSection.Paragraphs.RemoveAt(document.LastSection.Paragraphs.Count-1);

            ds = null;
            ds = new DataSet();
                        
          
            return document.ExportAsActionResult("Sample.docx", FormatType.Docx, HttpContext.ApplicationInstance.Response, HttpContentDisposition.Attachment);
        }
        
        /// <summary>
        /// Creates data table
        /// </summary>
        private void GetDataTable()
        {
            // List of syncfusion products name.
            string[] products = { "Apple Juice", "Grape Juice", "Hot Soup", "Tender Coconut", "Vennila", "Strawberry", "Cherry", "Cone" };
            string[] product_price = { "20.00", "10.00", "10.00", "10.00", "15.00", "20.00", "10.00", "10.00" };

            // Add new Tables to the data set.
            DataRow row;
            ds.Tables.Add();           

            // Add fields to the Products table.
            ds.Tables[0].TableName = "Products";
            ds.Tables[0].Columns.Add("SNO");
            ds.Tables[0].Columns.Add("ProductName");
            ds.Tables[0].Columns.Add("Price");

            int count = 0;

            // Inserting values to the tables.
            foreach (string product in products)
            {              
                count++;
                row = ds.Tables["Products"].NewRow();
                row["SNO"] = count.ToString();
                row["ProductName"] = product;
                row["Price"] = product_price[count - 1];
                ds.Tables["Products"].Rows.Add(row);
            }
        }
    }
}